<template>
  <div>
    <li>
      <a
        class="kioskbutton"
        data-control="PopupTrigger"
        @click.prevent="$refs.rewardsModal.Open()"><img src="/images/kiosk-button3-rewards.png"></a>
    </li>
    <rewards-modal ref="rewardsModal">
      <div
        v-if="!completedReward"
        id="overlay"
        slot="rewards">
        <section
          id="signupwindow"
          data-control="Popup"
          class="modalwindow"
          style="display: block;">
          <div class="windowcontent">Sign me up for rewards!
            <div class="popupbuttoncontainer signup">
              <div class="popupbtn buttonleft"/>
              <div
                class="popupbtn buttonmiddle"
                @click="postMemberSignUp">Sign Up</div>
              <div class="popupbtn buttonright"/>
              <div class="clear"/>
            </div>
          </div>
          <a
            class="close closebutton maskfadeout"
            data-dismiss="modal"
            @click="$refs.rewardsModal.Close()"><img src="/images/closebutton.png"></a>
        </section>
      </div>
      <div
        v-else
        id="overlay"
        slot="rewards">
        <section
          id="signupwindow"
          data-control="Popup"
          class="modalwindow"
          style="display: block;">
          <div class="windowcontent">Thank you for signing up!
            <div class="popupbuttoncontainer signup">
              <div class="popupbtn buttonleft"/>
              <div
                class="popupbtn buttonmiddle"
                @click="$refs.rewardsModal.Close()">Close
              </div>
              <div class="popupbtn buttonright"/>
              <div class="clear"/>
            </div>
          </div>
          <a
            class="close closebutton maskfadeout"
            data-dismiss="modal"
            @click="$refs.rewardsModal.Close()"><img src="/images/closebutton.png"></a>
        </section>
      </div>
    </rewards-modal>

  </div>
</template>

<script>
import RewardsModal from "../../../shared/views/ShopModal.vue";
export default {
  components: {
    RewardsModal
  },
  props: {
    completedReward: Boolean,
    session: Number,
    accountId: Number
  },
  methods: {
    postMemberSignUp() {
      const data = {
        accountId: this.accountId,
        type: "reward",
        session: this.session
      };
      app.api.Post("kiosk/saveCompleted/" + this.session, data)
        .then( Response => {
          console.log(Response);
        })
        .catch( x => app.Message( x.error, "error" ));
      this.getAccount();
    },
    getAccount() {
      app.api.Get(`accounts/${this.accountId}`)
        .then( response => {
          console.log(response);
          this.$emit("signed-up", response.completed_reward);
        });
    },
  }
};
</script>
